%global pkgvers 0
%global scdate0 20250716
%global schash0 d1a33fe444aeb53569fe5ed6e2202134d9aa3c32
%global branch0 main
%global source0 https://github.com/dmlc/dmlc-core.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           dmlc-core
Version:        0.5
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Distributed Machine Learning Common Codebase
License:        Apache

URL:            https://github.com/dmlc/dmlc-core

BuildRequires:  doxygen cmake gcc-c++ git openssl-devel curl-devel

%global  __cmake_in_source_build 1

%description
DMLC-Core is the backbone library to support all DMLC projects,
offers the bricks to build efficient and scalable distributed
machine learning libraries.

%package devel
Summary: Development files
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i -e 's|# DMLC_CORE_USE_CMAKE macro constant indicates the use of CMake|set_target_properties(dmlc PROPERTIES VERSION 1 SOVERSION 1)|' CMakeLists.txt

mkdir -p build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DUSE_CXX14_IF_AVAILABLE=ON \
       -DUSE_OPENMP=ON \
       -DUSE_S3=ON
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
